NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Facet.SmoothFacetBodyBuilder Class Reference

Represents a NXOpen.Facet.SmoothFacetBodyBuilder . More...

Inheritance diagram for NXOpen.Facet.SmoothFacetBodyBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Types { Mesh, Edge }
 Smooth Options More...
 

Properties

unsafe
NXOpen.SelectDisplayableObjectList 
Bodies [get]
 Returns the facet bodies to be smoothed. More...
 
unsafe NXOpen.SelectNXObjectList FaceEdge [get]
 Returns the option indicating if a copy of the facet body will be smoothed without altering the original More...
 
unsafe
NXOpen.Facet.SelectFacetedBodyList 
FacetBodies [get]
 Returns the facet bodies to be smoothed More...
 
unsafe NXOpen.FacetCollector FacetCollector [get, set]
 Returns or sets a collector of facets on the facet bodies to be to be smoothed. More...
 
unsafe bool IsEditCopy [get, set]
 Returns or sets the option indicating if a copy of the facet body will be smoothed without altering the original More...
 
unsafe bool IsLockBoundary [get, set]
 Returns or sets the option indicating if the open edges of inner and outer loops in the facet bodies are to be kept intact More...
 
unsafe bool IsSmoothOverEdges [get, set]
 Returns or sets an option to apply the smooth operator across face edges More...
 
unsafe int ModifyPercent [get, set]
 Returns or sets the modification percentage More...
 
unsafe int NumberOfIterations [get, set]
 Returns or sets the number of iterations More...
 
unsafe
NXOpen.GeometricUtilities.BoundaryDefinitionBuilderList 
RegionList [get]
 Returns an optional list of regions on the facet bodies to be smoothed More...
 
unsafe int SmoothFactor [get, set]
 Returns or sets the smoothing factor More...
 
unsafe
NXOpen.Facet.SmoothFacetBodyBuilder.Types 
Type [get, set]
 Returns or sets the type More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Facet.SmoothFacetBodyBuilder .

Smooth Facet Body Builder is a function to facilitate the removal of noise from facet bodies while keeping the general shape in tact.

To create a new instance of this class, use NXOpen.Facet.FacetedBodyCollection.CreateSmoothFacetBodyBuilder

Default values.

Property Value

IsEditCopy

0

IsLockBoundary

0

IsSmoothOverEdges

1

NumberOfIterations

1

SmoothFactor

10

Created in NX7.5.0

Member Enumeration Documentation

Smooth Options

Enumerator
Mesh 
Edge 

Property Documentation

unsafe NXOpen.SelectDisplayableObjectList NXOpen.Facet.SmoothFacetBodyBuilder.Bodies
get

Returns the facet bodies to be smoothed.

Inputs to this command can be convergent objects.

Created in NX11.0.0

Deprecated in NX12.0.0. Use NXOpen.Facet.SmoothFacetBodyBuilder.FacetCollector instead.

License requirements: None.

unsafe NXOpen.SelectNXObjectList NXOpen.Facet.SmoothFacetBodyBuilder.FaceEdge
get

Returns the option indicating if a copy of the facet body will be smoothed without altering the original

Created in NX12.0.2

License requirements: None.

unsafe NXOpen.Facet.SelectFacetedBodyList NXOpen.Facet.SmoothFacetBodyBuilder.FacetBodies
get

Returns the facet bodies to be smoothed

Created in NX7.5.0

Deprecated in NX11.0.0. Use NXOpen.Facet.SmoothFacetBodyBuilder.Bodies instead.

License requirements: None.

unsafe NXOpen.FacetCollector NXOpen.Facet.SmoothFacetBodyBuilder.FacetCollector
getset

Returns or sets a collector of facets on the facet bodies to be to be smoothed.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Facet.SmoothFacetBodyBuilder.IsEditCopy
getset

Returns or sets the option indicating if a copy of the facet body will be smoothed without altering the original

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Facet.SmoothFacetBodyBuilder.IsLockBoundary
getset

Returns or sets the option indicating if the open edges of inner and outer loops in the facet bodies are to be kept intact

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Facet.SmoothFacetBodyBuilder.IsSmoothOverEdges
getset

Returns or sets an option to apply the smooth operator across face edges

Created in NX12.0.2

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe int NXOpen.Facet.SmoothFacetBodyBuilder.ModifyPercent
getset

Returns or sets the modification percentage

Created in NX7.5.0

Deprecated in NX12.0.2. This attribute is not very effective, hence this has been deprecated.

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe int NXOpen.Facet.SmoothFacetBodyBuilder.NumberOfIterations
getset

Returns or sets the number of iterations

Created in NX12.0.2

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.BoundaryDefinitionBuilderList NXOpen.Facet.SmoothFacetBodyBuilder.RegionList
get

Returns an optional list of regions on the facet bodies to be smoothed

Created in NX7.5.0

Deprecated in NX12.0.0. Use NXOpen.Facet.SmoothFacetBodyBuilder.FacetCollector instead.

License requirements: None.

unsafe int NXOpen.Facet.SmoothFacetBodyBuilder.SmoothFactor
getset

Returns or sets the smoothing factor

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Facet.SmoothFacetBodyBuilder.Types NXOpen.Facet.SmoothFacetBodyBuilder.Type
getset

Returns or sets the type

Created in NX12.0.2

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.